{% extends "milkyway/base.html" %}
{% load staticfiles %}
            {% block nav_menu %}
                <li><a href="{% url 'buy'%}">Buy</a></li>
                <li><a href="{% url 'sell' %}">Sell/Rent</a></li>
                <!--li><a href="properties.html">Properties</a></li-->
                <li class="cta" ><a href="#">Engineering Solutions</a></li>
                <!--li class="call"><a href="tel://123456789"><i class="icon-phone"></i> +1 123 456 789</a></li-->
                <li class="cta"><a href="{% url 'contact_us'%}">Contact us</a></li>
            {% endblock %}


{% block main_content %}

<div class="fh5co-page-title" style="background-image: url({% static 'images/slide_6.jpg'%});">
        <div class="overlay"></div>
        <div class="container">
                <div class="row">
                        <div class="col-md-12 animate-box">
                                <h1>Search <span class="colored">Results</span></h1>
                        </div>
                </div>
        </div>
</div>

<div id="best-deal">
        <div class="container">

    {% if query %}
                <div class="row">
<div class="col-md-4">
    <div id ="search" class="fh5co-contact animate-box">
        <form id="search-form" method ="get" action="{% url 'custom_search'%}">

        <div class="form-group">
            <input class="form-control" style="background: rgba(0, 0, 0, 0.15); max-width:80%; margin:25px 10%;" type="text" id="q_id" name="q" placeholder="Search With <Location>"  autocomplete="off"/>
        </div>
        <select class="dropdown" name="prop_type" id="id_prop_type" style="margin:5px 10%; width:80%;">
        <option selected="selected" value="all">Select Property Type</option>
        <option value="land">Land</option>
        <option value="building">Building</option>
        <option value="room">Flat</option>
        </select>
        <div class="form-group">
            <a href="javascript:void(0)" onclick="simple_search()" />
            <input type="button" id="submit" style="margin:5px 10%; width:80%" class="btn btn-search btn-info" name="submit_search" value="Search"/>
        </div>
        <div class="form-group">
            <a href="javascript:void(0)" onclick="map_search()" />
            <input type="button" id="submit" style="margin:5px 10%; width:80%" class="btn btn-search btn-warning" name="submit_search" value="Map Search"/>
        </div>
        </form>
    </div>
</div>


<div class="col-md-8"> <!--- keara -->

                {% for result in page.object_list%}
            {% if prop_type == 'all' %}

                {% for e in result.object.estate_set.all %}
                    {% if  e.ptype == 'land' %}
    {% include 'milkyway/landbox.html'%}
                    {% endif %}
                    {% if  e.ptype == 'building' %}
    {% include 'milkyway/buildingbox.html'%}
                    {% endif %}
                    {% if  e.ptype == 'room' %}
    {% include 'milkyway/flatbox.html'%}
                    {% endif %}

                {% empty %} <p>No results found</p>
                {% endfor %}
            {% else %}
                {% for e in result.object.estate_set.all%}

                {% if e.ptype == prop_type %}
                    {% if  e.ptype == 'land' %}
    {% include 'milkyway/landbox.html'%}
                    {% endif %}
                    {% if  e.ptype == 'building' %}
    {% include 'milkyway/buildingbox.html'%}
                    {% endif %}
                    {% if  e.ptype == 'room' %}
    {% include 'milkyway/flatbox.html'%}
                    {% endif %}

                  {% endif %}
                {% empty %} <p>No results found</p>
                {% endfor %}


                {% endif %}

                {% empty %} <p>No result found</p>
                {% endfor %}



</div> <!-- kera -->

    <div class="row">
            <div class="col-md-12 text-center animate-box" data-animate-effect="fadeIn">
                    <nav>
                {% if page.has_previous or page.has_next %}
                        <ul class="pagination">
                        <li class="disabled">
                            <a href="#" aria-label="Previous">
                            <span aria-hidden="true">&laquo;</span>
                            </a>
                        </li>
                        <li class="active"><a href="#">1</a></li>
                        <li><a href="#">2</a></li>
                        <li><a href="#">3</a></li>
                        <li><a href="#">4</a></li>
                        <li><a href="#">5</a></li>
                        <li>
                            <a href="#" aria-label="Next">
                            <span aria-hidden="true">&raquo;</span>
                            </a>
                        </li>
                        </ul>
                    {% endif %}
                    </nav>
            </div>
    </div>
{% else %} <p> No Query </p>

{% endif %}



                </div>

        </div>
</div>

{% endblock %}

{% block scripts %}

  <script>
    function simple_search() {
        var search_data = $('#search-form').serialize();
        window.location = "?"+search_data;
    }

    function map_search() {
        var search_data = $('#search-form').serialize();
        var root="http://localhost:8000/";
        window.location = root+ "mapsearch?"+search_data;
    }
  </script>

{% endblock %}
